<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Tasklist Properties</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>

  <body>
    <section name="Tasklist Settings">
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th></tr>
        <tr>
          <td>maven.tasklist.taskTag</td>
          <td>Yes</td>
          <td>
            The javadoc tag to look for. Defaults to <code>@todo</code>
            so that <code>@todo</code> tags are processed.
          </td>
        </tr>
        <tr>
          <td>maven.build.dir</td>
          <td>Yes</td>
          <td>
            Specifies the encoding directory for build output. Defaults to
            <code>${basedir}/target</code>
          </td>
        </tr>
        <tr>
          <td>maven.docs.outputencoding</td>
          <td>Yes</td>
          <td>
            Specifies the encoding for xml files created. Defaults to
            <code>ISO-8859-1</code>
          </td>
        </tr>
        <tr>
          <td>maven.gen.docs</td>
          <td>Yes</td>
          <td>
            Specifies location of generated xml documents. Defaults to
            <code>${maven.build.dir}/generated-xdocs</code>
          </td>
        </tr>
        <tr>
          <td>maven.src.dir</td>
          <td>Yes</td>
          <td>
            Specifies location of source to scan. Defaults to
            <code>${basedir}/src</code>
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
